Skip to main content
GET
/
api
/
v1
/
dev
/
tools
/
jobs
List jobs
curl --request GET \
  --url https://api.autype.com/api/v1/dev/tools/jobs \
  --header 'X-API-Key: <api-key>'
{
  "jobs": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "action": "pdf.merge",
      "status": "PENDING",
      "inputFileIds": [
        "file-id-1",
        "file-id-2"
      ],
      "outputFileId": null,
      "error": null,
      "createdAt": "2023-11-07T05:31:56Z",
      "startedAt": {},
      "completedAt": {},
      "metadata": {}
    }
  ],
  "total": 42
}

Authorizations

X-API-Key
string
header
required

API Key (starts with ak_...)

Query Parameters

limit
number

Items per page (default: 20, max: 100)

offset
number

Number of items to skip (default: 0)

Response

200 - application/json

List of jobs

jobs
object[]
required

List of jobs

total
number
required

Total number of jobs

Example:

42